// JScript 文件

function StringBuilder() {
    this.__strings__ = new Array;
    
    
     if (typeof StringBuilder._initialized == "undefined") {
        StringBuilder.prototype.append = function (str) {
            this.__strings__.push(str);
        };

        StringBuilder.prototype.tostring = function () {
            return this.__strings__.join("");
        };
        StringBuilder._initialized = true;
     }
}

